import { ChartService } from '../../services/chart.service';
class AxisEmitter {
    constructor(emitter) {
        this.emitter = emitter;
    }
    emit(axisConfig) {
        return this.emitter.emit(axisConfig);
    }
}
export class AxisStrategy extends AxisEmitter {
}
export class XAxisStrategy extends AxisStrategy {
    addAxis(svg, dims, data, axisConfigs, minMax, primarySeries) {
        return ChartService.addXAxis(svg, dims, data, axisConfigs, minMax, primarySeries);
    }
}
export class YAxisStrategy extends AxisStrategy {
    addAxis(svg, dims, data, axisConfigs, minMax) {
        return ChartService.addYAxis(svg, dims, data, axisConfigs, minMax);
    }
}
