import { ChartService } from '../../services/chart.service';
export class StackedColumnSeries {
    componentDidLoad() {
        this.anjStackedColumnDidLoad.emit();
    }
    async init(svg, x, y, data, index, dims) {
        this.color = this.color || ChartService.colors[index || 0];
        const bars = ChartService.addStackedColumn(svg, x, y, data, this.color, dims, index);
        ChartService.addStackedScrubbers(svg, x, data, dims, index);
        return Promise.resolve({ bars, color: this.color });
    }
    static get is() { return "anj-stacked-column-series"; }
    static get properties() { return {
        "color": {
            "type": String,
            "attr": "color",
            "mutable": true
        },
        "dataIndex": {
            "type": Number,
            "attr": "data-index"
        },
        "element": {
            "elementRef": true
        },
        "init": {
            "method": true
        },
        "name": {
            "type": String,
            "attr": "name"
        },
        "netNegative": {
            "type": Boolean,
            "attr": "net-negative"
        }
    }; }
    static get events() { return [{
            "name": "anjStackedColumnDidLoad",
            "method": "anjStackedColumnDidLoad",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
}
