import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
import { CoordinateData } from '../../interfaces/CoordinateData';
export declare class Chart {
    private activeIndex;
    private axisConfigs;
    private chartSVG;
    private columns;
    private creationTimer;
    private data;
    private lines;
    private xAxisElement;
    private yAxisElement;
    private popover;
    private popoverEl;
    private popoverTimer;
    private seriesMeta;
    private service;
    private serviceFactory;
    private stackedColumns;
    private primarySeries;
    private static creationDebounceLength;
    private static popoverDebounceLength;
    chartContainer: HTMLElement;
    protected dataSource: CoordinateData[];
    multiSeries: boolean;
    dataSourceHandler(newValue: CoordinateData[], oldValue: CoordinateData[]): void;
    anjHover: EventEmitter;
    componentWillLoad(): void;
    componentDidLoad(): void;
    onColumnsLoaded(): Promise<void>;
    onLinesLoaded(): Promise<void>;
    onStackedColumnsLoaded(): Promise<void>;
    onXAxisLoaded({ detail }: {
        detail: any;
    }): Promise<void>;
    onYAxisLoaded({ detail }: {
        detail: any;
    }): Promise<void>;
    handleResize(): void;
    private anjHoverHandler;
    addLineEvents(svg: any, chartOverlay: any, x: any, data: any): any;
    addColumnEvents(svgBars: any, data: any): any;
    private anjEndHoverHandler;
    private anjColumnHoverHandler;
    private anjStackedHoverHandler;
    addStackedEvents(svg: any, bars: any): any;
    appendSVG(svg: any): void;
    private debounceCreation;
    display(target: HTMLElement): Promise<void>;
    create(): Promise<any>;
    private getDefaultXAxisConfig;
    private getDefaultYAxisConfig;
    getDims(): {
        height: number;
        width: number;
        margin: {
            top: number;
            right: number;
            bottom: number;
            left: number;
        };
    };
    private handleDataSource;
    private hydrateColumns;
    private hydrateLines;
    private hydrateStackedColumns;
    private hydrateXAxis;
    private hydrateYAxis;
    private loadColumns;
    private loadLines;
    private loadStackedColumns;
    private loadXAxis;
    private loadYAxis;
    hostData(): {
        class: {
            'anj-rm-pop-arrow': boolean;
        };
    };
    render(): JSX.Element[];
}
